/**************************************************************
*  Name:     allegro_keyboard.h                               *
*  Date:     4/19/2005                                        *
*  Author:   Steven Silvey                                    *
*  Purpose:  Eases the use of keyboard functionality in the   *
*           allegro gaming library.  The allegro keyboard is  *
*           nice, but causes some headaces.  This should fix  *
*           those problems                                    *
**************************************************************/

#ifndef _ALLEGRO_KEYBOARD_H_
#define _ALLEGRO_KEYBOARD_H_

typedef class myKEY mykey;

#include "game.h"

class myKEY
{
public:
	int key_mapping[MAX_MAPPING];

	myKEY();
	~myKEY();
	
	void map(int iIndex, int iValue);
	bool MAP(int iValue);
};

bool key_pressed(int KEY);
int key_number();
bool key_enter();


#endif /* End of _ALLEGRO_KEYBOARD_H_ */

